#
# spec file for package libimagequant
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   0
%define libname %{name}%{sover}
Name:           libimagequant
Version:        2.11.3
Release:        lp152.3.4
Summary:        Palette quantization library
License:        GPL-3.0+
Group:          Development/Languages/C and C++
URL:            https://github.com/ImageOptim/libimagequant
Source:         https://github.com/ImageOptim/libimagequant/archive/%{version}/%{name}-%{version}.tar.gz

%description
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.

%package -n %{libname}
Summary:        Palette quantization library
Group:          System/Libraries

%description -n %{libname}
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.

%package devel
Summary:        Development files for libimagequant
Group:          Development/Languages/C and C++
Requires:       %{libname} = %{version}

%description devel
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.

%prep
%setup -q

%build
# This is not an autoconf configure, but the script simply ignores parameters it does not know
%configure
make %{?_smp_mflags} shared

%install
# Manual installation, the Makefile has no install target
install -Dpm 0755 %{name}.so.0 %{buildroot}%{_libdir}/%{name}.so.0
ln -s %{name}.so.0 %{buildroot}%{_libdir}/%{name}.so
install -Dpm 0644 %{name}.h %{buildroot}%{_includedir}/%{name}.h

%post   -n libimagequant0 -p /sbin/ldconfig
%postun -n libimagequant0 -p /sbin/ldconfig

%files -n libimagequant0
%doc README.md CHANGELOG
%license COPYRIGHT
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/%{name}.h

%changelog
* Thu Nov 16 2017 dimstar@opensuse.org
- Initial package, version 2.11.3 (library got split out from
  pngquant).
